Name: gdbm
Version: 1.8.3
Release: alt1

Summary: A GNU set of database routines which use extensible hashing
License: GPL
Group: System/Libraries
Url: ftp://ftp.gnu.org/pub/gnu/

Source: %name-%version.tar.bz2
Patch1: %name-1.8.3-alt-texinfo.patch

Prefix: %prefix

# Automatically added by buildreq on Mon Oct 28 2002
BuildRequires: glibc-devel-static

%package -n lib%name
Summary: A GNU set of database routines which use extensible hashing
Group: System/Libraries
Provides: %name = %version-%release
#Obsoletes: %name

%package -n lib%name-devel
Summary: Development libraries and header files for the %name library
Group: Development/Databases
Provides: %name-devel = %version-%release
Obsoletes: %name-devel
Requires: lib%name = %version-%release
Requires(post,preun): %__install_info

%package -n lib%name-devel-static
Summary: The %name static library
Group: Development/Databases
Provides: %name-devel-static = %version-%release
Obsoletes: %name-devel-static
Requires: lib%name-devel = %version-%release

%description
gdbm is a GNU database indexing library, including routines which use
extensible hashing.  gdbm works in a similar way to standard Unix dbm
routines.  gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

%description -n lib%name
gdbm is a GNU database indexing library, including routines which use
extensible hashing.  gdbm works in a similar way to standard Unix dbm
routines.  gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

%description -n lib%name-devel
This package contains the development libraries and header files for
gdbm, the GNU database system.  These libraries and header files are
necessary if you plan to do development using the gdbm database.

%description -n lib%name-devel-static
This package contains the GDBM development static library necessary
if you plan to do development of statically linked software using
the gdbm database.

%prep
%setup -q
%patch1 -p1

%build
export ac_cv_lib_dbm_main=no
export ac_cv_lib_ndbm_main=no
%configure --includedir=%_includedir/%name
%make_build

%install
%make_install install install-compat \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	BINOWN=`id -u` \
	BINGRP=`id -g` \
	#
%__ln_s %name/%name.h $RPM_BUILD_ROOT%_includedir/

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n lib%name-devel
%install_info %name.info

%preun -n lib%name-devel
%uninstall_info %name.info

%files -n lib%name
%_libdir/*so.*
%doc README NEWS ChangeLog

%files -n lib%name-devel
%_libdir/*so
%_libdir/*.la
%_includedir/*
%_infodir/*.info*
%_mandir/man?/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Mon Oct 28 2002 Dmitry V. Levin <ldv@altlinux.org> 1.8.3-alt1
- Updated to 1.8.3
- Libificated.

* Tue Mar 26 2002 Stanislav Ievlev <inger@altlinux.ru> 1.8.0-ipl9mdk
- Rebuilt

* Thu Oct 19 2000 Dmitry V. Levin <ldv@fandra.org> 1.8.0-ipl8mdk
- RE adaptions.

* Fri Oct 22 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix building as non root.
- Merge with redhat patchs.
- make sure created database header is initialized (r).
- repackage to include /usr/include/gdbm/*dbm.h compatibility includes(r)
- make sure created database header is initialized (r).

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.8.0

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- gdbm-devel moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- buildroot and built for Manhattan

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc
